org.apache.ignite.internal

## Enum GridTopic

- java.lang.Object
- - java.lang.Enum<GridTopic>
  - - org.apache.ignite.internal.GridTopic

All Implemented Interfaces:
  Serializable, Comparable<GridTopic>

    public enum GridTopic
    extends Enum<GridTopic>

Communication topic.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TOPIC_CACHE` Cache topic.
`TOPIC_CHECKPOINT`
`TOPIC_CLASSLOAD`
`TOPIC_COMM_USER`
`TOPIC_CONTINUOUS`
`TOPIC_DATASTREAM`
`TOPIC_EVENT`
`TOPIC_HADOOP`
`TOPIC_IGFS`
`TOPIC_JOB`
`TOPIC_JOB_CANCEL`
`TOPIC_JOB_SIBLINGS`
`TOPIC_MONGO`
`TOPIC_QUERY`
`TOPIC_REPLICATION`
`TOPIC_REST`
`TOPIC_STREAM`
`TOPIC_TASK`
`TOPIC_TASK_CANCEL`
`TOPIC_TIME_SYNC`

### Method Summary

Methods
`static GridTopic` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`Object` `topic(IgniteUuid id)`
`Object` `topic(IgniteUuid id1, long id2)`
`Object` `topic(IgniteUuid id1, UUID id2)`
`Object` `topic(String id)` NOTE: The method should be used only for cases when there is no any other non-string identifier(s) to use to differentiate topics.
`Object` `topic(String id1, int id2, long id3)`
`Object` `topic(String id1, long id2)`
`Object` `topic(String id1, UUID id2, int id3, long id4)`
`Object` `topic(String id1, UUID id2, long id3)`
`static GridTopic` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridTopic[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TOPIC_JOB

    public static final GridTopic TOPIC_JOB

#### TOPIC_JOB_SIBLINGS

    public static final GridTopic TOPIC_JOB_SIBLINGS

#### TOPIC_TASK

    public static final GridTopic TOPIC_TASK

#### TOPIC_CHECKPOINT

    public static final GridTopic TOPIC_CHECKPOINT

#### TOPIC_JOB_CANCEL

    public static final GridTopic TOPIC_JOB_CANCEL

#### TOPIC_TASK_CANCEL

    public static final GridTopic TOPIC_TASK_CANCEL

#### TOPIC_CLASSLOAD

    public static final GridTopic TOPIC_CLASSLOAD

#### TOPIC_EVENT

    public static final GridTopic TOPIC_EVENT

#### TOPIC_CACHE

    public static final GridTopic TOPIC_CACHE

Cache topic.

#### TOPIC_COMM_USER

    public static final GridTopic TOPIC_COMM_USER

#### TOPIC_REST

    public static final GridTopic TOPIC_REST

#### TOPIC_REPLICATION

    public static final GridTopic TOPIC_REPLICATION

#### TOPIC_IGFS

    public static final GridTopic TOPIC_IGFS

#### TOPIC_DATASTREAM

    public static final GridTopic TOPIC_DATASTREAM

#### TOPIC_STREAM

    public static final GridTopic TOPIC_STREAM

#### TOPIC_CONTINUOUS

    public static final GridTopic TOPIC_CONTINUOUS

#### TOPIC_MONGO

    public static final GridTopic TOPIC_MONGO

#### TOPIC_TIME_SYNC

    public static final GridTopic TOPIC_TIME_SYNC

#### TOPIC_HADOOP

    public static final GridTopic TOPIC_HADOOP

#### TOPIC_QUERY

    public static final GridTopic TOPIC_QUERY

### Method Detail

#### values

    public static GridTopic[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridTopic c : GridTopic.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridTopic valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridTopic fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

#### topic

    public Object topic(IgniteUuid id)

Parameters:
  `id` - Topic ID.
Returns:
  Grid message topic with specified ID.

#### topic

    public Object topic(IgniteUuid id1,
               UUID id2)

Parameters:
  `id1` - ID1.
  `id2` - ID2.
Returns:
  Grid message topic with specified IDs.

#### topic

    public Object topic(IgniteUuid id1,
               long id2)

Parameters:
  `id1` - ID1.
  `id2` - ID2.
Returns:
  Grid message topic with specified IDs.

#### topic

    public Object topic(String id)

NOTE: The method should be used only for cases when there is no any other non-string identifier(s) to use to differentiate topics.

Parameters:
  `id` - Topic ID.
Returns:
  Grid message topic with specified ID.

#### topic

    public Object topic(String id1,
               long id2)

Parameters:
  `id1` - ID1.
  `id2` - ID2.
Returns:
  Grid message topic with specified IDs.

#### topic

    public Object topic(String id1,
               int id2,
               long id3)

Parameters:
  `id1` - ID1.
  `id2` - ID2.
  `id3` - ID3.
Returns:
  Grid message topic with specified IDs.

#### topic

    public Object topic(String id1,
               UUID id2,
               long id3)

Parameters:
  `id1` - ID1.
  `id2` - ID2.
  `id3` - ID3.
Returns:
  Grid message topic with specified IDs.

#### topic

    public Object topic(String id1,
               UUID id2,
               int id3,
               long id4)

Parameters:
  `id1` - ID1.
  `id2` - ID2.
  `id3` - ID3.
  `id4` - ID4.
Returns:
  Grid message topic with specified IDs.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015